Create allowanceCopy Pagepost https://api.instellix.io/v2/contracts/{contractIdent}/allowancesCreate an allowance.Path ParamscontractIdentstringrequiredlength between 1 and 100The ident of the contract. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.Body ParamsA request to create an option allowance of a contract for an option.applicabilitystringenumDefaults to NEXT_INVOICEdeprecatedDEPRECATED: Applicability determines when and for how long an option allowance will be applied to the given option. Currently only a one time use on the next invoice is supported.NEXT_INVOICEAllowed:NEXT_INVOICEapplicabilityDetailsobject | nullInformation on how this option allowance should be applied to the optionapplicabilityDetails object | nulldescriptionstring | nullDescription. Size must be between 0 and 255.fixedAmountobject | nullA monetary amount along with a currency.fixedAmount object | nullidentstring | nullUnique identifier of an option allowance. When not provided NBX will generate an identifier. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.namestring | nullName of the option allowance to be printed on a document or referenced as booking text. Size must be between 0 and 100.optionIdentstringrequiredlength ≥ 1Should reference a valid option for this contract. Must not be blank.percentagenumber | null1 to 100Option price will be reduced by the given percentage. Must be greater than 0. Must be less than or equal to 100.typestringenumDefaults to DISCOUNTIndicates the kind of an option allowance.DISCOUNTSINGLE_PURPOSE_VOUCHERAllowed:DISCOUNTSINGLE_PURPOSE_VOUCHERResponses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 23 days ago